/*
 * com_ericsson_cba_trace_testapp100.h
 *
 *  Created on: 2011-11-08
 *      Author: lmctdlt
 */
 
#undef TRACEPOINT_PROVIDER
#define TRACEPOINT_PROVIDER com_ericsson_cba_trace_testapp100

#if !defined(_COM_ERICSSON_CBA_TRACE_TESTAPP100_H) || defined(TRACEPOINT_HEADER_MULTI_READ)
#define _COM_ERICSSON_CBA_TRACE_TESTAPP100_H

#ifdef __cplusplus
extern "C" {
#endif

#include <lttng/tracepoint.h>

TRACEPOINT_EVENT(com_ericsson_cba_trace_testapp100, testapp_domain_event,
                 TP_ARGS( const char *, my_Time,
                          int,         OnePs ,                // var OnePs
                          const char*, my_ProgramInfo,         // used to idientify from which program it is from
                          float,       Pi_Value               // var Pi_Value
                          ),
                 TP_FIELDS(ctf_string(my_Time, my_Time)
                           ctf_string(CallingFrom,my_ProgramInfo) 
                           ctf_integer(int, OnePs, OnePs)
                           ctf_float(float, ValueOfPi, Pi_Value)  
                          )
)

TRACEPOINT_LOGLEVEL(com_ericsson_cba_trace_testapp100, testapp_domain_event, TRACE_NOTICE)

#endif /* _COM_ERICSSON_CBA_TRACE_TESTAPP100_H */

#undef TRACEPOINT_INCLUDE_FILE
#define TRACEPOINT_INCLUDE_FILE ./com_ericsson_cba_trace_testapp100.h

/* This part must be outside protection */
#include <lttng/tracepoint-event.h>

#ifdef __cplusplus 
}
#endif
